Available in VPC
Get IAM access information for a specific cluster.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /vnks/v2/clusters/{uuid}/access-entries/{entryUuid} (Korea Region) |
| GET | /vnks/sgn-v2/clusters/{uuid}/access-entries/{entryUuid} (Singapore Region) |
| GET | /vnks/jpn-v2/clusters/{uuid}/access-entries/{entryUuid} (Japan Region) |
Request headers
For information about the headers common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
uuid |
String | Required | Cluster's UUID
|
entryUuid |
String | Required | IAM access entry UUID |
Request example
The following is a sample request.
curl --location --request GET 'https://nks.apigw.ntruss.com/vnks/v2/clusters/****a20e-e0fb-4dc9-af1b-97fd3f8d****/access-entries/****a20e-e0fb-4dc9-af1b-97fd3f8d****' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
The following describes the response format.
Response body
The following describes the response body.
| Field | Type | Required | Description |
|---|---|---|---|
accessEntry |
Object | - | IAM access information |
accessEntry.uuid |
String | - | IAM access entry UUID |
accessEntry.entry |
String | - | NRN information by IAM USER, ROLE |
accessEntry.groups |
Array | - | Group name |
accessEntry.policies |
Array | - | Policy list: policies |
policies
The following describes policies.
| Field | Type | Required | Description |
|---|---|---|---|
type |
String | - | Policy type |
scope |
String | - | Policy scope |
namespaces |
Array | - | Namespace |
Response status codes
For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service response status codes.
Response example
The following is a sample example.
{
"accessEntry": {
"clusterUuid": "****a20e-e0fb-4dc9-af1b-97fd3f8d****",
"entry": "***:Account::***",
"policies": [
{
"scope": "Cluster",
"type": "NKSClusterAdminPolicy"
}
],
"uuid": "****a20e-e0fb-4dc9-af1b-97fd3f8d****"
}
}